<?php
include("conexion2.php");
$est=1;
$tabla=$_GET['tabla'];
$reg=$_GET['registro'];
$est=$_GET['estado'];
$dev=$_GET['dev'];
$fnomb=$_GET['nomcsv'];
unset($add);
unset($titulos);
$titulos = $_SESSION['titulos'];

$campos_consulta=$_SESSION['campos_consulta'];
if($reg==1){
	$add=$_SESSION['add'];
}else if($reg==0){
	$add=$_SESSION['add2'];
}else{

}

if($reg==2){
	if($est=='T'){
		$add=$_SESSION['add'];
	}elseif($dev==0){
		$add=$_SESSION['add'];
		$add=$add." AND g.id_estado='$est'";
	}else{
		$add=$_SESSION['add2'];
		$add=$add." AND g.id_devolucion='$dev'";
	}
}
$rst = "SELECT ".$campos_consulta." FROM ".$tabla." ".$add;
$rstSelect = mysql_query($rst,$conexion);
$csv = new CSV(array('GUIA', 'ORDEN', 'DIRECCION', 'DESTINATARIO','DIRECCION','CODZONA',$Tespecial5,'TELEFONO','CIUDAD','ESPECIAL1','ESPECIAL2','ESPECIAL3','ESPECIAL4','ESPECIAL5','ESPECIAL6','ESPECIAL7','ESPECIAL8','ESPECIAL9','ESPECIAL10'));
while ($fila = mysql_fetch_array($rstSelect)){
    $csv->addRow(array($fila['guia'], $fila['orden'], $fila['direccion'], $fila['destinatario'],$fila['direccion'],$fila['cod_zona'],$fila['especial5'],$fila['telefono'],$fila['ciudad'],
            $fila['especial1'],$fila['especial2'],$fila['especial3'],$fila['especial4'],$fila['especial6'],$fila['especial7'],
            $fila['especial8'],$fila['especial9'],$fila['especial10']));
}
$filename = "Gestion_Ods";
$csv->export($fnomb);


class CSV {
    protected $data;
    public function __construct($columns) {
        $this->data = '' . implode(';', $columns) . '' . "\n";
    }
    public function addRow($row) {
        $this->data .= '' . implode(';', $row) . '' . "\n";
    }
    public function export($filename) {
        header('Content-type: application/csv');
        header('Content-Disposition: attachment; filename="' . $filename . '.csv"');
        echo $this->data;
        die();
    }
    public function __toString() {
        return $this->data;
    }
}
?>
